package com.example.fideliza;


public class Lugar {
private String nombre;
private String direccion;
private Geopunto posicion;
private String foto;
private int telefono;
private String url;
private String comentario;
private long fecha;
private float valoracion;
private TipoLugar tipo;
private long distancia;

public Lugar(String nombre, String direccion, double longitud, double latitud,TipoLugar tipo, int telefono, String url, String comentario,int valoracion, long distancia ){
	fecha = System.currentTimeMillis();
	posicion = new Geopunto(latitud, longitud);
	this.nombre = nombre;
	this.direccion = direccion;
	this.telefono = telefono;
	this.url = url;
	this.comentario = comentario;
	this.valoracion = valoracion;
	this.tipo = tipo;
	this.distancia = distancia;
}

public Lugar(){
	fecha = System.currentTimeMillis();
	posicion = new Geopunto(0,0);
	tipo = TipoLugar.TIENDA;
}

@Override
public String toString() {
	return "Lugar [nombre=" + nombre + ", direccion=" + direccion
			+ ", posicion=" + posicion + ", foto=" + foto + ", telefono="
			+ telefono + ", url=" + url + ", comentario=" + comentario
			+ ", fecha=" + fecha + ", valoracion=" + valoracion + ", tipo="
			+ tipo + ", distancia=" + distancia + "]";
}

public TipoLugar getTipo() {
	return tipo;
}

public void setTipo(TipoLugar tipo) {
	this.tipo = tipo;
}

public String getNombre() {
	return nombre;
}

public void setNombre(String nombre) {
	this.nombre = nombre;
}

public String getDireccion() {
	return direccion;
}

public void setDireccion(String direccion) {
	this.direccion = direccion;
}

public Geopunto getPosicion() {
	return posicion;
}

public void setPosicion(Geopunto posicion) {
	this.posicion = posicion;
}

public String getFoto() {
	return foto;
}

public void setFoto(String foto) {
	this.foto = foto;
}

public int getTelefono() {
	return telefono;
}

public void setTelefono(int telefono) {
	this.telefono = telefono;
}

public String getUrl() {
	return url;
}

public void setUrl(String url) {
	this.url = url;
}

public String getComentario() {
	return comentario;
}

public void setComentario(String comentario) {
	this.comentario = comentario;
}

public long getFecha() {
	return fecha;
}

public void setFecha(long fecha) {
	this.fecha = fecha;
}

public float getValoracion() {
	return valoracion;
}

public void setValoracion(float valoracion) {
	this.valoracion = valoracion;
}
public long getDistancia() {
	return distancia;
}

public void setDistancia(long distancia) {
	this.distancia = distancia;
}
	
}
